#
# spec file for package john-wordlists
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           john-wordlists
Version:        1
Release:        lp150.1.1
Summary:        Word List Files for John the Ripper
License:        SUSE-NonFree
Group:          Productivity/Security
Url:            http://www.openwall.com/john/
Source:         %{name}-%{version}.tar.bz2
Source1:        README.SUSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
These are huge word lists for john (John the Ripper - a fast password
cracker).

The following copyright statement applies to this word list collection
as a whole:

Copyright (c) 2002,2003 by Solar Designer of Openwall Project

The home page for this word list collection is:

http://www.openwall.com/wordlists/

%prep
%setup -q
install -m644 %{SOURCE1} .

%build

%install
JOHNDIR=%{buildroot}%{_localstatedir}/lib/john
install -d -m 700 $JOHNDIR/wordlists
install -m 644 $RPM_BUILD_DIR/%{name}-%{version}/* $JOHNDIR/wordlists/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.SUSE
%dir %{_localstatedir}/lib/john
%dir %{_localstatedir}/lib/john/wordlists
%doc %{_localstatedir}/lib/john/wordlists/*

%changelog
* Tue Mar  3 2015 dimstar@opensuse.org
- Rename README.SuSE to README.SUSE.
- Change License to SUSE-NonFree.
* Thu Nov  8 2012 lars@linux-schulserver.de
- specfile cleanup
- added README.SuSE to fix bnc #765636
* Mon Mar 13 2006 lrupp@suse.de
- initial version
- split off from john to save space on media
